%define major 2
%define real_name lrdf
%define libname %mklibname %{real_name} %{major}

Name:		liblrdf
Summary:	Library for handling RDF descriptions of audio plugins
Version:	0.4.0
Release:	15

Source:		http://prdownloads.sourceforge.net/lrdf/%{name}-%{version}.tar.gz
URL:		http://sourceforge.net/projects/lrdf
License:	GPL
Group:		System/Libraries
BuildRequires:	raptor2-devel
BuildRequires:	ladspa-devel

Patch0:		liblrdf-0.4.0-dontbuild-tests.patch
Patch1:		liblrdf-0.4.0-raptor2.patch
Patch2:		liblrdf-0.4.0-raptor2-pkgconfig.patch
Patch3:		liblrdf-0.4.0-rename_clashing_md5_symbols.patch


%description
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness.

%package -n %{libname}-common
Summary:	File used by %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}-common
This packages contains various files required by %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{real_name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %{name}.

%prep
%setup -q

%patch0
%patch1
%patch2
%patch3

libtoolize --copy --force --install --automake
aclocal
autoconf
autoheader
automake --add-missing --copy

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{libname}-common
%{_datadir}/ladspa/rdf/

%files -n %{libname}-devel
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.4.0-15
+ Revision: a4aab4b
- MassBuild#440: Increase release tag


